Legacy numass repository
Go to file
Alexander Nozik 2baf583473 Update versions 2023-11-08 16:15:36 +03:00
dataforge-control Update dependencies and API 2021-11-13 13:30:39 +03:00
dataforge-core Fix watcher view 2021-11-29 15:57:20 +03:00
dataforge-gui Update versions 2023-11-08 16:15:36 +03:00
dataforge-maths Update dependencies and API 2021-11-13 13:30:39 +03:00
dataforge-plots Update versions 2023-11-08 16:15:36 +03:00
dataforge-stat Update dependencies and build 2023-11-07 21:10:05 +03:00
dataforge-storage directory watcher 2021-11-27 18:42:08 +03:00
gradle/wrapper Update dependencies and build 2023-11-07 21:10:05 +03:00
grind Update versions 2023-11-08 16:15:36 +03:00
numass-control Update versions 2023-11-08 16:15:36 +03:00
numass-core Update dependencies and build 2023-11-07 21:10:05 +03:00
numass-main Update versions 2023-11-08 16:15:36 +03:00
numass-viewer Update versions 2023-11-08 16:15:36 +03:00
site Update dependencies and API 2021-11-13 13:30:39 +03:00
.gitignore Merge legacy dataforge and migrate to git 2021-05-29 13:45:33 +03:00
LICENSE Create LICENSE 2022-05-24 13:16:53 +03:00
README.md Update versions 2023-11-08 16:15:36 +03:00
build.gradle.kts Update dependencies and build 2023-11-07 21:10:05 +03:00
gradlew Update gradle 2021-05-29 19:18:28 +03:00
gradlew.bat Update gradle 2021-05-29 19:18:28 +03:00
settings.gradle.kts Update dependencies and build 2023-11-07 21:10:05 +03:00

README.md

Purpose

This repository contains tools and utilities for Trotsk nu-mass experiment.

Set-up

This project build using DataForge framework. Currently in order to compile numass tools, one need to download dataforge gradle project here. If both projects (numass and dataforge) are in the same directory, everything will work out of the box, otherwise, one needs to edit gradle.properties file in the root of numass project and set dataforgePath to the relative path of dataforge directory.

It is intended to fix this problem with public maven repository later.

Requirements

Project requires JDK 16 in the system. GUI modules must be compiled on the target OS (linux on linux systems)